#ifndef __TESTSVECTOR3_H__
#define __TESTSVECTOR3_H__

# include "math/Vector3.h"

	When( vector3_scalar_multiplied )
	{
		Then( it_should_be_correct )
		{
			value1.x = 1.f;
			value1.y = 1.f;
			value1.z = 1.f;

			value1 *= 2.f;

			Assert::That( value1, Equals( Vec3f( 2.f, 2.f, 2.f ) ) );
		}

		Vec3f value1;
	};

	When( vector3_scalar_divided )
	{
		Then( it_should_be_correct )
		{
			value1.x = 2.f;
			value1.y = 2.f;
			value1.z = 2.f;

			value1 /= 2.f;

			Assert::That( value1, Equals( Vec3f( 1.f, 1.f, 1.f ) ) );
		}

		Vec3f value1;
	};

#endif //__TESTSVECTOR3_H__
